<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/sys.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">sys.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d91/sys_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">   32</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">SYS_ClearResetSrc</a>(uint32_t u32Src)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>{</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RST_SRC |= u32Src;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>}</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac4397aaffa735dfabbed9da06db7f03f">   44</a></span>uint32_t <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac4397aaffa735dfabbed9da06db7f03f">SYS_GetBODStatus</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>{</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="keywordflow">return</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODSTS);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>}</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">   54</a></span>uint32_t <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">SYS_GetResetSrc</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keywordflow">return</span> (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RST_SRC);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>}</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">   65</a></span>uint32_t <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">SYS_IsRegLocked</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>{</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keywordflow">return</span> !(<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RegLockAddr &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a28bfe4140779372607a4e7b4734acffe">SYS_RegLockAddr_RegUnLock_Msk</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>}</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">   75</a></span>uint32_t  <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">SYS_ReadPDID</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>{</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="keywordflow">return</span> <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;PDID;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>}</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">   85</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">SYS_ResetChip</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>{</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL1 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3843b79dc0d103b8b50f30339328d1f5">SYS_IPRST_CTL1_CHIP_RST_Msk</a>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>}</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">   95</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">SYS_ResetCPU</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>{</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL1 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a50d79dcddb98157469177543615ae7c3">SYS_IPRST_CTL1_CPU_RST_Msk</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>}</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">  125</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">SYS_ResetModule</a>(uint32_t u32ModuleIndex)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>{</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    *(<span class="keyword">volatile</span> uint32_t *)((uint32_t)&amp;(<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL1) + (u32ModuleIndex&gt;&gt;24)) |= 1&lt;&lt;(u32ModuleIndex &amp; 0x00ffffff);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    *(<span class="keyword">volatile</span> uint32_t *)((uint32_t)&amp;(<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL1) + (u32ModuleIndex&gt;&gt;24)) &amp;= ~(1&lt;&lt;(u32ModuleIndex &amp; 0x00ffffff));</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>}</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">  146</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">SYS_EnableBOD</a>(int32_t i32Mode, uint32_t u32BODLevel)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>{</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; ~0xFFF) | (i32Mode | u32BODLevel);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>}</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">  156</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">SYS_DisableBOD</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>{</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa73f64ff08af973f8bd1923a20d83ede">SYS_BODCTL_BOD25_EN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3b3b934138a8f2f9c9fdf28eca675e9e">SYS_BODCTL_BOD20_EN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a24df26cdfe5e1235f47f5371f5596219">SYS_BODCTL_BOD17_EN_Msk</a>);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>}</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fe4caeba00913c3b50194a830ec54f">  173</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fe4caeba00913c3b50194a830ec54f">SYS_EnableIRCTrim</a>(uint32_t u32TrimSel,uint32_t u32TrimEnInt)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>{</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IRCTRIMIEN = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IRCTRIMIEN &amp; ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#af28ae19ca2f4fd5393b407dd8c5dd766">SYS_IRCTRIMIEN_TRIM_FAIL_IEN_Msk</a>|<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a49934dcb521c9fe4cf02da084cc3102f">SYS_IRCTRIMIEN_32K_ERR_IEN_Msk</a>)) | u32TrimEnInt;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IRCTRIMCTL = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IRCTRIMCTL &amp; ~SYS_IRCTRIMCTL_TRIM_SEL_Msk)|u32TrimSel;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>}</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac50a9aa367b9b4d323ed9462d14432e5">  184</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac50a9aa367b9b4d323ed9462d14432e5">SYS_DisableIRCTrim</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>{</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IRCTRIMCTL = 0;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>}</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> <span class="comment">/* end of group NANO1X2_SYS_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> <span class="comment">/* end of group NANO1X2_SYS_Driver */</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a24df26cdfe5e1235f47f5371f5596219"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a24df26cdfe5e1235f47f5371f5596219">SYS_BODCTL_BOD17_EN_Msk</a></div><div class="ttdeci">#define SYS_BODCTL_BOD17_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03948">Nano1X2Series.h:3948</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a28bfe4140779372607a4e7b4734acffe"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a28bfe4140779372607a4e7b4734acffe">SYS_RegLockAddr_RegUnLock_Msk</a></div><div class="ttdeci">#define SYS_RegLockAddr_RegUnLock_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04062">Nano1X2Series.h:4062</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a3843b79dc0d103b8b50f30339328d1f5"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a3843b79dc0d103b8b50f30339328d1f5">SYS_IPRST_CTL1_CHIP_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL1_CHIP_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03642">Nano1X2Series.h:3642</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a3b3b934138a8f2f9c9fdf28eca675e9e"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a3b3b934138a8f2f9c9fdf28eca675e9e">SYS_BODCTL_BOD20_EN_Msk</a></div><div class="ttdeci">#define SYS_BODCTL_BOD20_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03951">Nano1X2Series.h:3951</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a49934dcb521c9fe4cf02da084cc3102f"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a49934dcb521c9fe4cf02da084cc3102f">SYS_IRCTRIMIEN_32K_ERR_IEN_Msk</a></div><div class="ttdeci">#define SYS_IRCTRIMIEN_32K_ERR_IEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04050">Nano1X2Series.h:4050</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a50d79dcddb98157469177543615ae7c3"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a50d79dcddb98157469177543615ae7c3">SYS_IPRST_CTL1_CPU_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL1_CPU_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03645">Nano1X2Series.h:3645</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aa73f64ff08af973f8bd1923a20d83ede"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aa73f64ff08af973f8bd1923a20d83ede">SYS_BODCTL_BOD25_EN_Msk</a></div><div class="ttdeci">#define SYS_BODCTL_BOD25_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03954">Nano1X2Series.h:3954</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_af28ae19ca2f4fd5393b407dd8c5dd766"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#af28ae19ca2f4fd5393b407dd8c5dd766">SYS_IRCTRIMIEN_TRIM_FAIL_IEN_Msk</a></div><div class="ttdeci">#define SYS_IRCTRIMIEN_TRIM_FAIL_IEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04047">Nano1X2Series.h:4047</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10650">Nano1X2Series.h:10650</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0844b4c27424787d08fbcdcc74573a0a"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">SYS_ResetCPU</a></div><div class="ttdeci">void SYS_ResetCPU(void)</div><div class="ttdoc">This function reset CPU.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00095">sys.c:95</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga74255dfc44a997162d991a69a7d1fbf4"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">SYS_GetResetSrc</a></div><div class="ttdeci">uint32_t SYS_GetResetSrc(void)</div><div class="ttdoc">This function get the system reset source register value.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00054">sys.c:54</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga790f536ad44ceaec7e95f939d83137b9"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">SYS_EnableBOD</a></div><div class="ttdeci">void SYS_EnableBOD(int32_t i32Mode, uint32_t u32BODLevel)</div><div class="ttdoc">This function configure BOD function. Configure BOD reset or interrupt mode and set Brown-out voltage...</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00146">sys.c:146</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9e848b58c75cca02dc03ad1b90383a87"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">SYS_ResetModule</a></div><div class="ttdeci">void SYS_ResetModule(uint32_t u32ModuleIndex)</div><div class="ttdoc">This function reset selected modules.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00125">sys.c:125</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa5fe4caeba00913c3b50194a830ec54f"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fe4caeba00913c3b50194a830ec54f">SYS_EnableIRCTrim</a></div><div class="ttdeci">void SYS_EnableIRCTrim(uint32_t u32TrimSel, uint32_t u32TrimEnInt)</div><div class="ttdoc">This function enable HIRC trim function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00173">sys.c:173</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gabc7601bc640a903ef512f39e08de164a"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">SYS_ReadPDID</a></div><div class="ttdeci">uint32_t SYS_ReadPDID(void)</div><div class="ttdoc">This function get product ID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00075">sys.c:75</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac4397aaffa735dfabbed9da06db7f03f"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac4397aaffa735dfabbed9da06db7f03f">SYS_GetBODStatus</a></div><div class="ttdeci">uint32_t SYS_GetBODStatus(void)</div><div class="ttdoc">This function get Brown-out detector output status.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00044">sys.c:44</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac50a9aa367b9b4d323ed9462d14432e5"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac50a9aa367b9b4d323ed9462d14432e5">SYS_DisableIRCTrim</a></div><div class="ttdeci">void SYS_DisableIRCTrim(void)</div><div class="ttdoc">This function disable HIRC trim function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00184">sys.c:184</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad0fd5d8424b1d3dc3ec3e92829ed1142"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">SYS_DisableBOD</a></div><div class="ttdeci">void SYS_DisableBOD(void)</div><div class="ttdoc">This function disable BOD function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00156">sys.c:156</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad35875e441a7602e8b265c09372a2d8d"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">SYS_IsRegLocked</a></div><div class="ttdeci">uint32_t SYS_IsRegLocked(void)</div><div class="ttdoc">This function check register write-protection bit setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00065">sys.c:65</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafabb183d573b69d6fb9bc208dfbfcd29"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">SYS_ClearResetSrc</a></div><div class="ttdeci">void SYS_ClearResetSrc(uint32_t u32Src)</div><div class="ttdoc">This function clear the selected system reset source.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00032">sys.c:32</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc85afae532807b21e6d9c11d0c3683f"><div class="ttname"><a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">SYS_ResetChip</a></div><div class="ttdeci">void SYS_ResetChip(void)</div><div class="ttdoc">This function reset chip.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/sys_8c_source.html#l00085">sys.c:85</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
